package com.nerdegutta.tempwatch

import android.graphics.Color
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.inputmethod.EditorInfo
import android.webkit.WebView
import android.webkit.WebViewClient
import android.widget.Button
import android.widget.EditText
import android.widget.Toast

class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        // Variable and constants declaration
        val btnShow = findViewById<Button>(R.id.btnShow)
        val editText = findViewById<EditText>(R.id.editText)
        val btnExit = findViewById<Button>(R.id.btnExit)
        val webview = findViewById<WebView>(R.id.webview)

        btnExit.setOnClickListener{
            finish()
        }

        // Function that runs when the showButton is clicked.
        // It takes one argument, which is the text entered by the user.
        // Then it loads a web page, using the text as a part of the url.
        btnShow.setOnClickListener{

            // Declare the text from editText
            val text = editText.text

            // Show the text from the user in a small toast window
            Toast.makeText(this, text, Toast.LENGTH_SHORT).show()

            // Make the webView
            webview.webViewClient = WebViewClient()
            webview.setBackgroundColor(Color.parseColor("#ffffff"))
            //webview.settings().setDomStorageEnabled(true);

            // Declare and assign the url to get, and adding the text the user entered
            var urltoget = "http://my.domain.org/apk_handler_app.php?action="+text

            // Load the url
            webview.loadUrl(urltoget)

            // To hide the softkeyboard when editText misses focus.
            editText.onEditorAction(EditorInfo.IME_ACTION_DONE)
        }
    }
}

